Skip to main content
DELETE
/
api
/
v1
/
api-tokens
/
{tokenId}
curl --location --request DELETE 'https://api.rapidagent.ai/api/v1/api-tokens' \
--header 'Content-Type: application/json' \
--header 'Autorization: Bearer <token>'
{
  "success": true,
  "data": {
    "id": "clhjmx2ka00016ilng9y0ha3f",
    "userId": "clhj28u1300006ig02ptpm1sh",
    "user": {
        "id": "clhj28u1300006ig02ptpm1sh",
        "email": "[email protected],
        "name": "Jane Doe",
        "createdAt": "2023-05-11T11:42:54.323000+00:00",
        "updatedAt": "2023-05-11T11:42:54.323000+00:00",
        "deletedAt": null,
        "profile": null,
        "Agent": null,
        "ApiToken": null,
        "Document": null
    },
    "description": "My test token",
    "token": "1c9d14f44fc7492990148e003541577d"    
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.rapidagent.ai/llms.txt

Use this file to discover all available pages before exploring further.

Params

tokenId
string
required
The ID of the token.

Response

success
boolean
Indicates whether the call was successful.
data
object
List of api token objects.
curl --location --request DELETE 'https://api.rapidagent.ai/api/v1/api-tokens' \
--header 'Content-Type: application/json' \
--header 'Autorization: Bearer <token>'
{
  "success": true,
  "data": {
    "id": "clhjmx2ka00016ilng9y0ha3f",
    "userId": "clhj28u1300006ig02ptpm1sh",
    "user": {
        "id": "clhj28u1300006ig02ptpm1sh",
        "email": "[email protected],
        "name": "Jane Doe",
        "createdAt": "2023-05-11T11:42:54.323000+00:00",
        "updatedAt": "2023-05-11T11:42:54.323000+00:00",
        "deletedAt": null,
        "profile": null,
        "Agent": null,
        "ApiToken": null,
        "Document": null
    },
    "description": "My test token",
    "token": "1c9d14f44fc7492990148e003541577d"    
  }
}